using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.Framework.Login;
using ASHermed.SinoInterface.ContractModel;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.Api.IService
{
    /// <summary>
	///微信用户信息
	/// </summary>
	public interface IPubUserInfoService
    {

        Pub_User_Info SelectByIdentifier(string identifier);
        Pub_User_Info SelectByPhone(string acc);

        Pub_User_Info SelectByLinKinOpenId(string linKingOpenId);
        Pub_User_Info SelectByEmail(string acc);
        Pub_Map_User_Type SelectUserTypeByPhone(string phone);

        Pub_User_Info SelectByAppOpenId(string openId);

        Pub_User_Info SelectByAppOpenIdWithPhone(string openId, string account);

        int UserComformInformed();
        int PatInsuranceComform(string uId, bool isAgree);
        Pub_Pat_Info SelectById(int id);
        PatWithRelationShip SelectPatById(int id);
        int UpdatePatByLinKing(string linkingopenid, int patid);
        Pub_Pat_Info SelectByLinKingOpenId(string openid);
    }
}
